Bug 1001317 - Review Request: golang-github-gorilla-mux - A powerful URL router and dispatcher for golang
Review Request: golang-github-gorilla-mux - A powerful URL router and dispatc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
: Reopened
Depends On: 1001300
Blocks: 1000662
  Show dependency treegraph
 
Reported: 2013-08-26 17:19 EDT by Lokesh Mandvekar
Modified: 2014-07-01 18:59 EDT (History)
4 users (show)

See Also:
Fixed In Version: golang-github-gorilla-mux-0-0.9.gite718e93.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 23:38:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattdm: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Lokesh Mandvekar 2013-08-26 17:19:15 EDT
The packaging format is much similar to bug 1001300. So, most comments on that bug would probably apply here too.

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-mux.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-mux-0.0.1-1.fc21.src.rpm

Description: 
Package gorilla/mux implements a request router and dispatcher.

The name mux stands for "HTTP request multiplexer". Like the standard
http.ServeMux, mux.Router matches incoming requests against a list of
registered routes and calls a handler for the route that matches the URL or
other conditions.

Fedora Account System Username: lsm5

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5857328

$ rpmlint SPECS/golang-mux.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint SRPMS/golang-mux-0.0.1-1.fc21.src.rpm 
golang-mux.src: W: spelling-error %description -l en_US http -> HTTP
golang-mux.src: W: spelling-error %description -l en_US ServeMux -> Server
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint RPMS/x86_64/golang-mux-0.0.1-1.fc21.x86_64.rpm
golang-mux.x86_64: W: spelling-error %description -l en_US http -> HTTP
golang-mux.x86_64: W: spelling-error %description -l en_US ServeMux -> Server
golang-mux.x86_64: E: no-binary
golang-mux.x86_64: W: only-non-binary-in-usr-lib
golang-mux.x86_64: E: script-without-shebang /usr/lib64/golang/src/cmd/mux/bench_test.go
golang-mux.x86_64: E: script-without-shebang /usr/lib64/golang/src/cmd/mux/doc.go
golang-mux.x86_64: E: script-without-shebang /usr/lib64/golang/src/cmd/mux/route.go
golang-mux.x86_64: E: script-without-shebang /usr/lib64/golang/src/cmd/mux/old_test.go
golang-mux.x86_64: E: script-without-shebang /usr/lib64/golang/src/cmd/mux/mux_test.go
golang-mux.x86_64: E: script-without-shebang /usr/lib64/golang/src/cmd/mux/regexp.go
golang-mux.x86_64: E: script-without-shebang /usr/lib64/golang/src/cmd/mux/mux.go
1 packages and 0 specfiles checked; 8 errors, 3 warnings.
Comment 2 Lokesh Mandvekar 2013-09-10 02:14:16 EDT
Though it depends on 1001300, most of the spec file is pretty similar to 1001300, so I'm adding it here anyway.

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-github-gorilla-mux.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-github-gorilla-mux-gite718e93-3.fc21.src.rpm

$ rpmlint SRPMS/golang-github-gorilla-mux-gite718e93-3.fc21.src.rpm
golang-github-gorilla-mux.src: W: spelling-error %description -l en_US http -> HTTP
golang-github-gorilla-mux.src: W: spelling-error %description -l en_US ServeMux -> Server
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint RPMS/x86_64/golang-github-gorilla-mux-gite718e93-3.fc21.x86_64.rpm
golang-github-gorilla-mux.x86_64: W: spelling-error %description -l en_US http -> HTTP
golang-github-gorilla-mux.x86_64: W: spelling-error %description -l en_US ServeMux -> Server
golang-github-gorilla-mux.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint RPMS/x86_64/golang-github-gorilla-mux-devel-gite718e93-3.fc21.x86_64.rpm
golang-github-gorilla-mux-devel.x86_64: W: binaryinfo-readelf-failed /usr/lib64/golang/pkg/linux_amd64/github.com/gorilla/mux.a readelf: Error: Unable to read in 0x6e75 bytes of section headers
golang-github-gorilla-mux-devel.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 4 Matthew Miller 2013-09-19 11:31:56 EDT
Review passed with the following caveat.

- This package matches in-development ideas for a Go Language packaging
  standard and may need to be revised as those are finalized.
  Of particular note:
  - this library is packaged as static, and therefore just produces a
    -devel package (and as with Haskell packages, does not have a
    virtual provides for a -static package).
  - no debuginfo package is generated (because of the above)
  - we don't have standard compile flags for Go
Comment 5 Lokesh Mandvekar 2013-09-19 11:45:13 EDT
New Package SCM Request
=======================
Package Name: golang-github-gorilla-mux
Short Description: A powerful URL router and dispatcher for golang
Owners: lsm5
Branches: f19 f20 el6
InitialCC:
Comment 6 Gwyn Ciesla 2013-09-19 12:04:21 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-09-21 15:05:28 EDT
golang-github-gorilla-mux-0-0.5.gite718e93.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-gorilla-mux-0-0.5.gite718e93.fc20
Comment 8 Fedora Update System 2013-09-22 03:03:57 EDT
golang-github-gorilla-mux-0-0.6.gite718e93.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-gorilla-mux-0-0.6.gite718e93.fc20
Comment 9 Fedora Update System 2013-09-22 03:10:21 EDT
golang-github-gorilla-mux-0-0.6.gite718e93.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-gorilla-mux-0-0.6.gite718e93.fc19
Comment 10 Fedora Update System 2013-09-22 03:18:27 EDT
golang-github-gorilla-mux-0-0.6.gite718e93.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-gorilla-mux-0-0.6.gite718e93.el6
Comment 11 Fedora Update System 2013-09-22 13:38:42 EDT
golang-github-gorilla-mux-0-0.6.gite718e93.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 12 Fedora Update System 2013-10-07 20:14:34 EDT
golang-github-gorilla-mux-0-0.7.gite718e93.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-gorilla-mux-0-0.7.gite718e93.fc20
Comment 13 Fedora Update System 2013-10-08 00:04:31 EDT
golang-github-gorilla-mux-0-0.7.gite718e93.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-gorilla-mux-0-0.7.gite718e93.fc19
Comment 14 Fedora Update System 2013-10-08 00:09:42 EDT
golang-github-gorilla-mux-0-0.7.gite718e93.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-gorilla-mux-0-0.7.gite718e93.el6
Comment 15 Fedora Update System 2013-10-08 21:56:48 EDT
golang-github-gorilla-mux-0-0.8.gite718e93.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-gorilla-mux-0-0.8.gite718e93.fc20
Comment 16 Fedora Update System 2013-10-08 23:17:10 EDT
golang-github-gorilla-mux-0-0.8.gite718e93.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-gorilla-mux-0-0.8.gite718e93.fc19
Comment 17 Fedora Update System 2013-10-08 23:29:24 EDT
golang-github-gorilla-mux-0-0.8.gite718e93.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-gorilla-mux-0-0.8.gite718e93.el6
Comment 18 Fedora Update System 2013-10-18 20:39:51 EDT
golang-github-gorilla-mux-0-0.9.gite718e93.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-gorilla-mux-0-0.9.gite718e93.fc20
Comment 19 Fedora Update System 2013-10-18 20:50:14 EDT
golang-github-gorilla-mux-0-0.9.gite718e93.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-gorilla-mux-0-0.9.gite718e93.fc19
Comment 20 Fedora Update System 2013-10-18 21:21:05 EDT
golang-github-gorilla-mux-0-0.9.gite718e93.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-gorilla-mux-0-0.9.gite718e93.el6
Comment 21 Fedora Update System 2013-10-19 05:08:05 EDT
Package golang-github-gorilla-mux-0-0.9.gite718e93.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing golang-github-gorilla-mux-0-0.9.gite718e93.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19451/golang-github-gorilla-mux-0-0.9.gite718e93.fc19
then log in and leave karma (feedback).
Comment 22 Peter Lemenkov 2013-10-23 07:08:56 EDT
Package Change Request
======================
Package Name: golang-github-gorilla-mux
InitialCC: golang-sig
Comment 23 Gwyn Ciesla 2013-10-23 10:01:00 EDT
Done.
Comment 24 Fedora Update System 2013-10-28 23:38:33 EDT
golang-github-gorilla-mux-0-0.9.gite718e93.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2013-11-03 12:57:47 EST
golang-github-gorilla-mux-0-0.9.gite718e93.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2013-11-10 02:34:21 EST
golang-github-gorilla-mux-0-0.9.gite718e93.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.